import { type ReferenceElement } from "@floating-ui/dom";
interface DropdownUtilOptions {
    reverse?: boolean;
    strategy?: "absolute" | "fixed";
    offset?: number;
}
export declare class DropdownUtil {
    host: ReferenceElement;
    overlay: HTMLElement;
    cleanupFn: any;
    options: DropdownUtilOptions;
    constructor(host: HTMLElement, overlay: HTMLElement, options?: DropdownUtilOptions);
    show(): void;
    update(): void;
    cleanup(): void;
    hide(): void;
}
export {};
